namespace PkmnLib.Plugin.Gen7.Scripts.Abilities;

/// <summary>
/// Skill Link is an ability that makes multi-strike moves always hit the maximum number of times.
///
/// <see href="https://bulbapedia.bulbagarden.net/wiki/Skill_Link_(Ability)">Bulbapedia - Skill Link</see>
/// </summary>
[Script(ScriptCategory.Ability, "skill_link")]
public class SkillLink : Script, IScriptCustomTrigger
{
    /// <inheritdoc />
    public void CustomTrigger(StringKey eventName, ICustomTriggerArgs args)
    {
        if (eventName != CustomTriggers.Modify2_5HitMove)
            return;
        if (args is CustomTriggers.Modify2_5HitMoveArgs triggerArgs)
        {
            triggerArgs.NumberOfHits = 5;
        }
    }
}